/* Imports */
/* Fonts */
@import url(font-raleway.css);
@import url(font-natuface.css);

/* Rules */
:root {
    --color-primary: #e8449f;
    --color-primary-testing: #b00b69;
    --color-primary-hover: #df3e97;
    --color-bg: #eee;
    --color-fg: #828282;
    --grid-gutter: 0rem;
    --font-family-sans: "Helvetica Neue", Helvetica, Arial, sans-serif;
    --font-family-sans-undertale: Raleway,Avenir,"Avenir Next","Segoe UI","Helvetica Neue", Helvetica, "Trebuchet MS", Arial, sans-serif;
    /* trans people are real, fuck you */
    --flag-trans-sega: #78ccf5;
    --flag-trans-segb: #eaacb8;
    --flag-trans-segc: #fff;
    /* todo: progress flag */
    --flag-philprd-sega: #000;
    --flag-philprd-segb: #725023;
    --flag-philprd-segc: #ea3223;
    --flag-philprd-segd: #ef9035;
    --flag-philprd-sege: #fce44d;
    --flag-philprd-segf: #499b2f;
    --flag-philprd-segg: #1547ac;
    --flag-philprd-segh: #b243d5;
    --flag-default-slant: 55deg;
    --logonui-speed: 5s;
}
/* Animations */
@keyframes logonui {
    0% { background-position-x: 0% }
    100% { background-position-x: 100% }
}
/* Styles */
body {
    background-color: var(--color-bg);
}
main {
    color: var(--color-fg);
    margin-right: 0;
}
h1, h2, h3, h4, h5, h6, body > .row > aside > ul, aside > header > span, main > span {
    font-family: var(--font-family-sans-undertale);
}
.tag {
    margin: 0.4rem 0.2em;
    margin-left: 0;
}
.flag > .col {
    height: 4px;
    padding: 0;
    margin: 0;
    display: block;
}
.trans > .col {
    background-image: linear-gradient(
            var(--flag-default-slant),
            var(--flag-trans-sega) 0%,
            var(--flag-trans-segb) 12.5%,
            var(--flag-trans-segc) 25%,
            var(--flag-trans-segb) 37.5%,
            var(--flag-trans-sega) 50%,
            var(--flag-trans-segb) 62.5%,
            var(--flag-trans-segc) 75%,
            var(--flag-trans-segb) 87.5%,
            var(--flag-trans-sega) 100%
    );
    background-size: 200%;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    animation-name: logonui;
    animation-duration: var(--logonui-speed);
}
.philly-pride > .col {
    background: linear-gradient(var(--flag-default-slant),
    var(--flag-philprd-sega) 12.5%,
    var(--flag-philprd-segb) 12.5%,
    25%,
    var(--flag-philprd-segc) 25%,
    37.5%,
    var(--flag-philprd-segd) 37.5%,
    50%,
    var(--flag-philprd-sege) 50%,
    62.5%,
    var(--flag-philprd-segf) 62.5%,
    75%,
    var(--flag-philprd-segg) 75%,
    87.5%,
    var(--flag-philprd-segh) 87.5%);
}
nav {
    background-color: var(--color-primary);
    border-radius: 0;
    border: 0;
    /*border-bottom: 2px solid white;
    border-bottom: 2px solid rgba(255,255,255,0.8);*/
    box-shadow: 0px 0px 32px 12px rgba(0,0,0,0.15);
}
nav li:hover {
    background-color: var(--color-primary-hover);
}
nav li, nav a, nav a:hover, nav a:focus {
    color: white;
    text-decoration: none;
    opacity: 1;
}
nav ul {
    padding: 0;
    margin: 0;
    margin-left: 8px;
    height: 48px;
}
nav li {
    display: block;
    float: left;
    position: relative;
    height: 100%;
    padding: 10px 8px;
    margin: 0;
    border-left: 1px solid #d7338e;
}
nav .active {
    border-bottom: 4px solid white;
    border-bottom: 4px solid rgba(255,255,255,0.4);
}
nav .brand {
    font-size: 1.9rem;
    line-height: 1.4;
    color: white;
}
nav li:first-child {
    margin-left: 16px;
}
nav li:last-child {
    border-right: 1px solid #d7338e;
}
body > header {
    margin: 0 0 5px 32px;
}
body > header, main > span {
    font-size: 2rem;
    text-shadow: 0px 0px 4px rgba(0,0,0,0.1);
}
body > header > h1 {
    background: linear-gradient(55deg,
    var(--flag-philprd-sega) 12.5%,
    var(--flag-philprd-segb) 12.5%,
    25%,
    var(--flag-philprd-segc) 25%,
    37.5%,
    var(--flag-philprd-segd) 37.5%,
    50%,
    var(--flag-philprd-sege) 50%,
    62.5%,
    var(--flag-philprd-segf) 62.5%,
    75%,
    var(--flag-philprd-segg) 75%,
    87.5%,
    var(--flag-philprd-segh) 87.5%);
    background-clip: text;
    /* chromium compatibility */
    -webkit-background-clip: text;
    color: rgba(176, 11, 105, 0.4);
    width: fit-content;
    /*color: var(--color-primary);*/
    margin-bottom: 0.1em;
}
body > header > span {
    opacity: 0.6;
}
body > .row > aside > header {
    margin-left: 0;
    margin-right: 8px;
    padding-left: 32px;
    border-bottom: 2px solid var(--color-primary);
}
body > .row > aside > header > span {
    opacity: 0.8;
    font-size: 2.5rem;
}
body > .row > aside > ul {
    list-style: none;
    padding-inline-start: 32px;
}
main .mainblock {
    margin-left: 8px;
    margin-right: 8px;
}
article+article {
    border-top: 1px dashed var(--color-primary);
    padding-top: 4px;
}
article > hr {
    clear: both;
}
article > header, article > section {
    padding-right: 12px;
    padding-left: 12px;
}
/* Paragraph indent - disabled
article > section > p {
	text-indent: 32px;
}
article > section > p:first-of-type {
	text-indent: initial;
}
*/
article > header > h1 {
    margin-bottom: 0;
    line-height: 3.5rem;
}
article > header > span, article > header > section {
    font-size: 1.4rem;
    line-height: initial;
}
figure {
    margin: 8px;
    border: 1px solid var(--color-lightGrey);
    border-radius: 4px;
    display: inline-block;
    overflow: hidden;
}
section > pre {
    padding: 2px;
    border-radius: 4px;
    border: 1px solid var(--color-lightGrey);
    margin: 8px;
}
figure > pre {
    margin-top: 0;
    margin-bottom: 0;
    padding: 2px;
}
figure > img, figure > iframe, figure.kg-code-card {
    display: block;
}
figure.kg-embed-card {
    position: relative;
    display: block;
    padding-bottom: 56.25%;
    padding-top: 25px;
    height: 0;
}
figure.kg-embed-card > iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
figure.kg-embed-card > figcaption {
    /* TODO work out how to account for a variable-height caption inside the figure
     *   without losing out on fluid scaling of the video. Until then, captions are hidden.
     */
    display: none;
}
.kg-gallery-container > .kg-gallery-row {
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-start;
    margin-left: calc(var(--grid-gutter)/-2);
    margin-right: calc(var(--grid-gutter)/-2);
}
.kg-gallery-container > .kg-gallery-row > .kg-gallery-image {
    flex: 1;
    margin: 0 calc(var(--grid-gutter)/2) calc(var(--grid-gutter)/2);
}
.kg-gallery-container > .kg-gallery-row > .kg-gallery-image > img {
    height: auto;
    width: auto;
    display: block;
}
figure > figcaption {
    border-top: 1px solid var(--color-lightGrey);
    font-style: italic;
    text-align: center;
}
pre > code {
    line-height: normal;
}
footer {
    margin-top: 10px;
}
footer > .flair {
    width: calc(100vw - 10em);
    height: 1px;
    margin: 5px auto;
    border-top: 1px dotted var(--color-primary);
    box-shadow: 0px 0px 6px 1px rgba(0,0,0,0.1);
}
footer > p {
    text-shadow: 0px 0px 4px rgba(0,0,0,0.1);
}
abbr, acronym {
    cursor: context-menu;
    text-decoration: underline;
    text-decoration-style: dashed;
}